<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Reader\Xml</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::IReader constructor.">
            <span class="description">IReader constructor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_canRead" title="canRead ::Can the current IReader read the file?">
            <span class="description">Can the current IReader read the file?</span><pre>canRead</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIncludeCharts" title="getIncludeCharts ::Read charts in workbook?
       If this is true, then the Reader will include any charts that exist in the workbook.">
            <span class="description">Read charts in workbook?
       If this is true, then the Reader will include any charts that exist in the workbook.</span><pre>getIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getLoadSheetsOnly" title="getLoadSheetsOnly ::Get which sheets to load
Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null
       indicating that all worksheets in the workbook should be loaded.">
            <span class="description">Get which sheets to load
Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null
       indicating that all worksheets in the workbook should be loaded.</span><pre>getLoadSheetsOnly</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getReadDataOnly" title="getReadDataOnly ::Read data only?
       If this is true, then the Reader will only read data values for cells, it will not read any formatting information.">
            <span class="description">Read data only?
       If this is true, then the Reader will only read data values for cells, it will not read any formatting information.</span><pre>getReadDataOnly</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getReadEmptyCells" title="getReadEmptyCells ::Read empty cells?
       If this is true (the default), then the Reader will read data values for all cells, irrespective of value.">
            <span class="description">Read empty cells?
       If this is true (the default), then the Reader will read data values for all cells, irrespective of value.</span><pre>getReadEmptyCells</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getReadFilter" title="getReadFilter ::Read filter.">
            <span class="description">Read filter.</span><pre>getReadFilter</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getSecurityScanner" title="getSecurityScanner ::">
            <span class="description"></span><pre>getSecurityScanner</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_listWorksheetInfo" title="listWorksheetInfo ::Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns).">
            <span class="description">Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns).</span><pre>listWorksheetInfo</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_listWorksheetNames" title="listWorksheetNames ::Reads names of the worksheets from a file, without parsing the whole file to a Spreadsheet object.">
            <span class="description">Reads names of the worksheets from a file, without parsing the whole file to a Spreadsheet object.</span><pre>listWorksheetNames</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_load" title="load ::Loads Spreadsheet from file.">
            <span class="description">Loads Spreadsheet from file.</span><pre>load</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_loadIntoExisting" title="loadIntoExisting ::Loads from file into Spreadsheet instance.">
            <span class="description">Loads from file into Spreadsheet instance.</span><pre>loadIntoExisting</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setIncludeCharts" title="setIncludeCharts ::Set read charts in workbook
       Set to true, to advise the Reader to include any charts that exist in the workbook.">
            <span class="description">Set read charts in workbook
       Set to true, to advise the Reader to include any charts that exist in the workbook.</span><pre>setIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setLoadAllSheets" title="setLoadAllSheets ::Set all sheets to load
       Tells the Reader to load all worksheets from the workbook.">
            <span class="description">Set all sheets to load
       Tells the Reader to load all worksheets from the workbook.</span><pre>setLoadAllSheets</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setLoadSheetsOnly" title="setLoadSheetsOnly ::Set which sheets to load.">
            <span class="description">Set which sheets to load.</span><pre>setLoadSheetsOnly</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setReadDataOnly" title="setReadDataOnly ::Set read data only
       Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.">
            <span class="description">Set read data only
       Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.</span><pre>setReadDataOnly</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setReadEmptyCells" title="setReadEmptyCells ::Set read empty cells
       Set to true (the default) to advise the Reader read data values for all cells, irrespective of value.">
            <span class="description">Set read empty cells
       Set to true (the default) to advise the Reader read data values for all cells, irrespective of value.</span><pre>setReadEmptyCells</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setReadFilter" title="setReadFilter ::Set read filter.">
            <span class="description">Set read filter.</span><pre>setReadFilter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_trySimpleXMLLoadString" title="trySimpleXMLLoadString ::Check if the file is a valid SimpleXML.">
            <span class="description">Check if the file is a valid SimpleXML.</span><pre>trySimpleXMLLoadString</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_convertStringEncoding" title="convertStringEncoding ::">
                                <span class="description"></span><pre>convertStringEncoding</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_hex2str" title="hex2str ::">
                                <span class="description"></span><pre>hex2str</pre>
                            </a>
                        </li>                        <li class="methodprotected inherited">
                            <a href="#method_openFile" title="openFile ::Open file for reading.">
                                <span class="description">Open file for reading.</span><pre>openFile</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_parseRichText" title="parseRichText ::">
                                <span class="description"></span><pre>parseRichText</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_pixel2WidthUnits" title="pixel2WidthUnits ::pixel units to excel width units(units of 1/256th of a character width).">
                                <span class="description">pixel units to excel width units(units of 1/256th of a character width).</span><pre>pixel2WidthUnits</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_widthUnits2Pixel" title="widthUnits2Pixel ::excel width units(units of 1/256th of a character width) to pixel units.">
                                <span class="description">excel width units(units of 1/256th of a character width) to pixel units.</span><pre>widthUnits2Pixel</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_identifyFixedStyleValue" title="identifyFixedStyleValue ::">
                                <span class="description"></span><pre>identifyFixedStyleValue</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseStyleAlignment" title="parseStyleAlignment ::">
                                <span class="description"></span><pre>parseStyleAlignment</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseStyleBorders" title="parseStyleBorders ::">
                                <span class="description"></span><pre>parseStyleBorders</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseStyleFont" title="parseStyleFont ::">
                                <span class="description"></span><pre>parseStyleFont</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseStyleInterior" title="parseStyleInterior ::">
                                <span class="description"></span><pre>parseStyleInterior</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseStyleNumberFormat" title="parseStyleNumberFormat ::">
                                <span class="description"></span><pre>parseStyleNumberFormat</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_parseStyles" title="parseStyles ::">
                                <span class="description"></span><pre>parseStyles</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Xml</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Reader.BaseReader.html">\PhpOffice\PhpSpreadsheet\Reader\BaseReader</a>                </small>
                <p class="short_description">Reader for SpreadsheetML, the XML schema for Microsoft Office Excel 2003.</p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>IReader constructor.</h2>
                            <pre>__construct()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_canRead"></a>
                        <div class="element clickable methodpublic method_canRead" data-toggle="collapse" data-target=".method_canRead .collapse">
                            <h2>Can the current IReader read the file?</h2>
                            <pre>canRead(string $pFilename): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_convertStringEncoding"></a>
                        <div class="element clickable methodprotected method_convertStringEncoding" data-toggle="collapse" data-target=".method_convertStringEncoding .collapse">
                            <h2>convertStringEncoding</h2>
                            <pre>convertStringEncoding( $string, $charset)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$string</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$charset</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getIncludeCharts"></a>
                        <div class="element clickable methodpublic method_getIncludeCharts inherited" data-toggle="collapse" data-target=".method_getIncludeCharts .collapse">
                            <h2>Read charts in workbook?
       If this is true, then the Reader will include any charts that exist in the workbook.</h2>
                            <pre>getIncludeCharts(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value.
If false (the default) it will ignore any charts defined in the workbook file.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLoadSheetsOnly"></a>
                        <div class="element clickable methodpublic method_getLoadSheetsOnly inherited" data-toggle="collapse" data-target=".method_getLoadSheetsOnly .collapse">
                            <h2>Get which sheets to load
Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null
       indicating that all worksheets in the workbook should be loaded.</h2>
                            <pre>getLoadSheetsOnly(): mixed</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>mixed</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadDataOnly"></a>
                        <div class="element clickable methodpublic method_getReadDataOnly inherited" data-toggle="collapse" data-target=".method_getReadDataOnly .collapse">
                            <h2>Read data only?
       If this is true, then the Reader will only read data values for cells, it will not read any formatting information.</h2>
                            <pre>getReadDataOnly(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>If false (the default) it will read data and formatting.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadEmptyCells"></a>
                        <div class="element clickable methodpublic method_getReadEmptyCells inherited" data-toggle="collapse" data-target=".method_getReadEmptyCells .collapse">
                            <h2>Read empty cells?
       If this is true (the default), then the Reader will read data values for all cells, irrespective of value.</h2>
                            <pre>getReadEmptyCells(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>If false it will not read data for cells containing a null value or an empty string.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadFilter"></a>
                        <div class="element clickable methodpublic method_getReadFilter inherited" data-toggle="collapse" data-target=".method_getReadFilter .collapse">
                            <h2>Read filter.</h2>
                            <pre>getReadFilter(): \PhpOffice\PhpSpreadsheet\Reader\IReadFilter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReadFilter.html">\PhpOffice\PhpSpreadsheet\Reader\IReadFilter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSecurityScanner"></a>
                        <div class="element clickable methodpublic method_getSecurityScanner inherited" data-toggle="collapse" data-target=".method_getSecurityScanner .collapse">
                            <h2>getSecurityScanner</h2>
                            <pre>getSecurityScanner()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_hex2str"></a>
                        <div class="element clickable methodprotected method_hex2str" data-toggle="collapse" data-target=".method_hex2str .collapse">
                            <h2>hex2str</h2>
                            <pre>hex2str( $hex)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$hex</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_identifyFixedStyleValue"></a>
                        <div class="element clickable methodprivate method_identifyFixedStyleValue" data-toggle="collapse" data-target=".method_identifyFixedStyleValue .collapse">
                            <h2>identifyFixedStyleValue</h2>
                            <pre>identifyFixedStyleValue( $styleList, &$styleAttributeValue)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleList</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styleAttributeValue</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_listWorksheetInfo"></a>
                        <div class="element clickable methodpublic method_listWorksheetInfo" data-toggle="collapse" data-target=".method_listWorksheetInfo .collapse">
                            <h2>Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns).</h2>
                            <pre>listWorksheetInfo(string $pFilename): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_listWorksheetNames"></a>
                        <div class="element clickable methodpublic method_listWorksheetNames" data-toggle="collapse" data-target=".method_listWorksheetNames .collapse">
                            <h2>Reads names of the worksheets from a file, without parsing the whole file to a Spreadsheet object.</h2>
                            <pre>listWorksheetNames(string $pFilename): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_load"></a>
                        <div class="element clickable methodpublic method_load" data-toggle="collapse" data-target=".method_load .collapse">
                            <h2>Loads Spreadsheet from file.</h2>
                            <pre>load(string $pFilename): \PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_loadIntoExisting"></a>
                        <div class="element clickable methodpublic method_loadIntoExisting" data-toggle="collapse" data-target=".method_loadIntoExisting .collapse">
                            <h2>Loads from file into Spreadsheet instance.</h2>
                            <pre>loadIntoExisting(string $pFilename,\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): \PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_openFile"></a>
                        <div class="element clickable methodprotected method_openFile inherited" data-toggle="collapse" data-target=".method_openFile .collapse">
                            <h2>Open file for reading.</h2>
                            <pre>openFile(string $pFilename)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseRichText"></a>
                        <div class="element clickable methodprotected method_parseRichText" data-toggle="collapse" data-target=".method_parseRichText .collapse">
                            <h2>parseRichText</h2>
                            <pre>parseRichText( $is)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$is</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseStyleAlignment"></a>
                        <div class="element clickable methodprivate method_parseStyleAlignment" data-toggle="collapse" data-target=".method_parseStyleAlignment .collapse">
                            <h2>parseStyleAlignment</h2>
                            <pre>parseStyleAlignment(string $styleID,\SimpleXMLElement $styleAttributes)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleID</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styleAttributes</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseStyleBorders"></a>
                        <div class="element clickable methodprivate method_parseStyleBorders" data-toggle="collapse" data-target=".method_parseStyleBorders .collapse">
                            <h2>parseStyleBorders</h2>
                            <pre>parseStyleBorders( $styleID,\SimpleXMLElement $styleData,array $namespaces)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleID</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styleData</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$namespaces</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseStyleFont"></a>
                        <div class="element clickable methodprivate method_parseStyleFont" data-toggle="collapse" data-target=".method_parseStyleFont .collapse">
                            <h2>parseStyleFont</h2>
                            <pre>parseStyleFont( $styleID,\SimpleXMLElement $styleAttributes)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleID</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styleAttributes</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseStyleInterior"></a>
                        <div class="element clickable methodprivate method_parseStyleInterior" data-toggle="collapse" data-target=".method_parseStyleInterior .collapse">
                            <h2>parseStyleInterior</h2>
                            <pre>parseStyleInterior( $styleID,\SimpleXMLElement $styleAttributes)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleID</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styleAttributes</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseStyleNumberFormat"></a>
                        <div class="element clickable methodprivate method_parseStyleNumberFormat" data-toggle="collapse" data-target=".method_parseStyleNumberFormat .collapse">
                            <h2>parseStyleNumberFormat</h2>
                            <pre>parseStyleNumberFormat( $styleID,\SimpleXMLElement $styleAttributes)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$styleID</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$styleAttributes</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_parseStyles"></a>
                        <div class="element clickable methodprivate method_parseStyles" data-toggle="collapse" data-target=".method_parseStyles .collapse">
                            <h2>parseStyles</h2>
                            <pre>parseStyles(\SimpleXMLElement $xml,array $namespaces)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$xml</h4>
                                                <code>\SimpleXMLElement</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$namespaces</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_pixel2WidthUnits"></a>
                        <div class="element clickable methodprotected method_pixel2WidthUnits" data-toggle="collapse" data-target=".method_pixel2WidthUnits .collapse">
                            <h2>pixel units to excel width units(units of 1/256th of a character width).</h2>
                            <pre>pixel2WidthUnits(float $pxs): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pxs</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setIncludeCharts"></a>
                        <div class="element clickable methodpublic method_setIncludeCharts inherited" data-toggle="collapse" data-target=".method_setIncludeCharts .collapse">
                            <h2>Set read charts in workbook
       Set to true, to advise the Reader to include any charts that exist in the workbook.</h2>
                            <pre>setIncludeCharts(boolean $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value.
Set to false (the default) to discard charts.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLoadAllSheets"></a>
                        <div class="element clickable methodpublic method_setLoadAllSheets inherited" data-toggle="collapse" data-target=".method_setLoadAllSheets .collapse">
                            <h2>Set all sheets to load
       Tells the Reader to load all worksheets from the workbook.</h2>
                            <pre>setLoadAllSheets(): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLoadSheetsOnly"></a>
                        <div class="element clickable methodpublic method_setLoadSheetsOnly inherited" data-toggle="collapse" data-target=".method_setLoadSheetsOnly .collapse">
                            <h2>Set which sheets to load.</h2>
                            <pre>setLoadSheetsOnly(mixed $value): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name.
If NULL, then it tells the Reader to read all worksheets in the workbook</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadDataOnly"></a>
                        <div class="element clickable methodpublic method_setReadDataOnly inherited" data-toggle="collapse" data-target=".method_setReadDataOnly .collapse">
                            <h2>Set read data only
       Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.</h2>
                            <pre>setReadDataOnly(boolean $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Set to false (the default) to advise the Reader to read both data and formatting for cells.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadEmptyCells"></a>
                        <div class="element clickable methodpublic method_setReadEmptyCells inherited" data-toggle="collapse" data-target=".method_setReadEmptyCells .collapse">
                            <h2>Set read empty cells
       Set to true (the default) to advise the Reader read data values for all cells, irrespective of value.</h2>
                            <pre>setReadEmptyCells(boolean $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Set to false to advise the Reader to ignore cells containing a null value or an empty string.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadFilter"></a>
                        <div class="element clickable methodpublic method_setReadFilter inherited" data-toggle="collapse" data-target=".method_setReadFilter .collapse">
                            <h2>Set read filter.</h2>
                            <pre>setReadFilter(\PhpOffice\PhpSpreadsheet\Reader\IReadFilter $pValue): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReadFilter.html">\PhpOffice\PhpSpreadsheet\Reader\IReadFilter</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_trySimpleXMLLoadString"></a>
                        <div class="element clickable methodpublic method_trySimpleXMLLoadString" data-toggle="collapse" data-target=".method_trySimpleXMLLoadString .collapse">
                            <h2>Check if the file is a valid SimpleXML.</h2>
                            <pre>trySimpleXMLLoadString(string $pFilename): false|\SimpleXMLElement</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>false|\SimpleXMLElement</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_widthUnits2Pixel"></a>
                        <div class="element clickable methodprotected method_widthUnits2Pixel" data-toggle="collapse" data-target=".method_widthUnits2Pixel .collapse">
                            <h2>excel width units(units of 1/256th of a character width) to pixel units.</h2>
                            <pre>widthUnits2Pixel(float $widthUnits): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$widthUnits</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_styles"> </a>
                            <div class="element clickable propertyprotected property_styles" data-toggle="collapse" data-target=".property_styles .collapse">
                                <h2>Formats.</h2>
                                <pre>styles :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_charSet"> </a>
                            <div class="element clickable propertyprotected property_charSet" data-toggle="collapse" data-target=".property_charSet .collapse">
                                <h2>Character set used in the file.</h2>
                                <pre>charSet :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_readDataOnly"> </a>
                            <div class="element clickable propertyprotected property_readDataOnly inherited" data-toggle="collapse" data-target=".property_readDataOnly .collapse">
                                <h2>Read data only?
Identifies whether the Reader should only read data values for cells, and ignore any formatting information;
       or whether it should read both data and formatting.</h2>
                                <pre>readDataOnly :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_readEmptyCells"> </a>
                            <div class="element clickable propertyprotected property_readEmptyCells inherited" data-toggle="collapse" data-target=".property_readEmptyCells .collapse">
                                <h2>Read empty cells?
Identifies whether the Reader should read data values for cells all cells, or should ignore cells containing
        null value or empty string.</h2>
                                <pre>readEmptyCells :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_includeCharts"> </a>
                            <div class="element clickable propertyprotected property_includeCharts inherited" data-toggle="collapse" data-target=".property_includeCharts .collapse">
                                <h2>Read charts that are defined in the workbook?
Identifies whether the Reader should read the definitions for any charts that exist in the workbook;.</h2>
                                <pre>includeCharts :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_loadSheetsOnly"> </a>
                            <div class="element clickable propertyprotected property_loadSheetsOnly inherited" data-toggle="collapse" data-target=".property_loadSheetsOnly .collapse">
                                <h2>Restrict which sheets should be loaded?
This property holds an array of worksheet names to be loaded. If null, then all worksheets will be loaded.</h2>
                                <pre>loadSheetsOnly :array</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of string</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_readFilter"> </a>
                            <div class="element clickable propertyprotected property_readFilter inherited" data-toggle="collapse" data-target=".property_readFilter .collapse">
                                <h2>IReadFilter instance.</h2>
                                <pre>readFilter :\PhpOffice\PhpSpreadsheet\Reader\IReadFilter</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReadFilter.html">\PhpOffice\PhpSpreadsheet\Reader\IReadFilter</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_fileHandle"> </a>
                            <div class="element clickable propertyprotected property_fileHandle inherited" data-toggle="collapse" data-target=".property_fileHandle .collapse">
                                <h2>fileHandle</h2>
                                <pre>fileHandle :</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_securityScanner"> </a>
                            <div class="element clickable propertyprotected property_securityScanner inherited" data-toggle="collapse" data-target=".property_securityScanner .collapse">
                                <h2>securityScanner</h2>
                                <pre>securityScanner :\PhpOffice\PhpSpreadsheet\Reader\Security\XmlScanner</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Security.XmlScanner.html">\PhpOffice\PhpSpreadsheet\Reader\Security\XmlScanner</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Reader\Xml"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Reader.html">Reader</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Xml.html">Xml</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:54 +0000.<br/>
    </footer></body>
</html>
